From f1b6bccf08f53295b2f7f448f28bbd37533c14a2 Mon Sep 17 00:00:00 2001
From: Zhang Le <r0bertz@gentoo.org>
Date: Sun, 18 Jul 2010 02:05:28 +0800
Subject: [PATCH 1/8] Only x86 has cpuid instruction

Signed-off-by: Zhang Le <r0bertz@gentoo.org>
Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
---
 utils/aperf.c |    4 ++++
 1 file changed, 4 insertions(+)

diff --git a/utils/aperf.c b/utils/aperf.c
index 627fb17..1c64501 100644
--- a/utils/aperf.c
+++ b/utils/aperf.c
@@ -68,11 +68,15 @@ struct avg_perf_cpu_info
 
 static int cpu_has_effective_freq()
 {
+#if defined(__i386__) || defined(__x86_64__)
 	/* largest base level */
 	if (cpuid_eax(0) < 6)
 		return 0;
 
 	return cpuid_ecx(6) & 0x1;
+#else
+	return 0;
+#endif
 }
 
 /*
-- 
1.7.10

